Content Channel Admin
Endpoints for Content Channel Admin
Endpoints for Content Channel Admin
GET/api/v1/content-channel-admin
Authentication: Bearer token (JWT)
idnumberRequired when parent is presentnamestringRequired when parent is presentdescriptionstringRequired when parent is presenttenantTenantRequired when parent is present65 fields[].tenantmarketstringRequired when parent is presentField path: [].tenant.market"NO", "SE", "DK"productNamestringField path: [].tenant.productName[
{
"id": 0,
"name": "string",
"description": "string",
"tenant": {
"additionalFeatures": [],
"disabledFeatures": [],
"taxRates": [],
"products": [],
"users": [],
"members": [],
"roles": [],
"subscriptionPlans": [],
"packages": [],
"invoices": [],
"orders": [],
"paymentProviders": [],
"newslettersProviderConfig": [],
"paymentProviderConfigs": [],
"oidcClients": [],
"oauthProviders": [],
"activityLogs": [],
"m2m_api_clients": [],
"customProperties": [],
"consents": [],
"communicationTemplates": [],
"additionalHostnames": [],
"exportHistory": [],
"arReportHistory": [],
"mypageCardsSettings": [],
"webhooks": [],
"customOrders": [],
"customOrderSources": [],
"brandKits": [],
"communicationReceivers": [],
"metaData": {}
},
"tenantId": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
]unauthorized
This response has no body.
curlcurl https://api.subrite.no/api/v1/content-channel-admin \
--header 'Authorization: Bearer <token>'POST/api/v1/content-channel-admin
Authentication: Bearer token (JWT)
application/jsonnamestringRequiredmaxLength: 1024descriptionstringOptionalmaxLength: 1024PUT/api/v1/content-channel-admin/{id}
Authentication: Bearer token (JWT)
idnumberRequiredapplication/jsonnamestringOptionalDELETE/api/v1/content-channel-admin/{id}
Authentication: Bearer token (JWT)
idnumberRequiredThis response has no body.
GET/api/v1/content-channel-admin/{id}/products
idnumberRequiredPOST/api/v1/content-channel-admin/{contentChannelId}/products/{productId}
Authentication: Bearer token (JWT)
contentChannelIdnumberRequiredproductIdnumberRequiredDELETE/api/v1/content-channel-admin/{contentChannelId}/products/{productId}
Authentication: Bearer token (JWT)
contentChannelIdnumberRequiredproductIdnumberRequired"enterprise", "communication", "custom"additionalFeaturesarray of stringField path: [].tenant.additionalFeatures"email", "sms", "push", "podcasts", "subscription", "insights", "dashboard", "automation", "export", "accounting", "invoices", "ai"disabledFeaturesarray of stringField path: [].tenant.disabledFeatures"email", "sms", "push", "podcasts", "subscription", "insights", "dashboard", "automation", "export", "accounting", "invoices", "ai"namestringRequired when parent is presentField path: [].tenant.nameisActivebooleanRequired when parent is presentField path: [].tenant.isActivedefaultLanguagestringRequired when parent is presentField path: [].tenant.defaultLanguage"en", "no", "sv", "da"hostNamestringRequired when parent is presentField path: [].tenant.hostNamelogostringRequired when parent is presentField path: [].tenant.logofaviconstringRequired when parent is presentField path: [].tenant.faviconauthLogostringRequired when parent is presentField path: [].tenant.authLogoauthLogoHeightnumberRequired when parent is presentField path: [].tenant.authLogoHeightsiteUrlstringRequired when parent is presentField path: [].tenant.siteUrltermsUrlstringRequired when parent is presentField path: [].tenant.termsUrlprivacyUrlstringRequired when parent is presentField path: [].tenant.privacyUrlgtmstringRequired when parent is presentField path: [].tenant.gtmtaxRatesarray of numberField path: [].tenant.taxRatessmsOtpbooleanRequired when parent is presentField path: [].tenant.smsOtpemailProviderstringRequired when parent is presentField path: [].tenant.emailProvider"brevo", "sendgrid"tenantContactstringRequired when parent is presentField path: [].tenant.tenantContactregisteredBusinessNostringRequired when parent is presentField path: [].tenant.registeredBusinessNobankAccountNostringRequired when parent is presentField path: [].tenant.bankAccountNoswiftCodestringRequired when parent is presentField path: [].tenant.swiftCodeibanstringRequired when parent is presentField path: [].tenant.ibandefaultLogoutURLstringRequired when parent is presentField path: [].tenant.defaultLogoutURLpostalAddressstringRequired when parent is presentField path: [].tenant.postalAddressotpTemplateIdTranslationField path: [].tenant.otpTemplateId5 fields[].tenant.otpTemplateIdenstringRequired when parent is presentField path: [].tenant.otpTemplateId.ennostringRequired when parent is presentField path: [].tenant.otpTemplateId.nosvstringField path: [].tenant.otpTemplateId.svdastringField path: [].tenant.otpTemplateId.dakeystringField path: [].tenant.otpTemplateId.keysmsSenderIdnumberRequired when parent is presentField path: [].tenant.smsSenderIdemailSenderIdnumberRequired when parent is presentField path: [].tenant.emailSenderIdsmsSenderCommunicationSenderRequired when parent is presentField path: [].tenant.smsSenderNested fields omitted: field limit.emailSenderCommunicationSenderRequired when parent is presentField path: [].tenant.emailSenderNested fields omitted: field limit.productsarray of ProductRequired when parent is presentField path: [].tenant.productsNested fields omitted: field limit.usersarray of UserRequired when parent is presentField path: [].tenant.usersNested fields omitted: field limit.membersarray of MemberRequired when parent is presentField path: [].tenant.membersNested fields omitted: field limit.rolesarray of RoleRequired when parent is presentField path: [].tenant.rolesNested fields omitted: field limit.subscriptionPlansarray of SubscriptionPlanRequired when parent is presentField path: [].tenant.subscriptionPlansNested fields omitted: field limit.packagesarray of PackageRequired when parent is presentField path: [].tenant.packagesNested fields omitted: field limit.invoicesarray of InvoiceRequired when parent is presentField path: [].tenant.invoicesNested fields omitted: field limit.ordersarray of OrderRequired when parent is presentField path: [].tenant.ordersNested fields omitted: field limit.paymentProvidersarray of PaymentProviderConfigRequired when parent is presentField path: [].tenant.paymentProvidersNested fields omitted: field limit.newslettersProviderConfigarray of NewsletterProviderConfigRequired when parent is presentField path: [].tenant.newslettersProviderConfigNested fields omitted: field limit.paymentProviderConfigsarray of PaymentProviderConfigRequired when parent is presentField path: [].tenant.paymentProviderConfigsNested fields omitted: field limit.oidcClientsarray of OidcClientRequired when parent is presentField path: [].tenant.oidcClientsNested fields omitted: field limit.oauthProvidersarray of OauthProviderRequired when parent is presentField path: [].tenant.oauthProvidersNested fields omitted: field limit.activityLogsarray of ActivityLogRequired when parent is presentField path: [].tenant.activityLogsNested fields omitted: field limit.m2m_api_clientsarray of M2MApiClientRequired when parent is presentField path: [].tenant.m2m_api_clientsNested fields omitted: field limit.customPropertiesarray of CustomPropertyRequired when parent is presentField path: [].tenant.customPropertiesNested fields omitted: field limit.consentsarray of ConsentRequired when parent is presentField path: [].tenant.consentsNested fields omitted: field limit.preferencePreferenceRequired when parent is presentField path: [].tenant.preferenceNested fields omitted: field limit.settingsTenantSettingsRequired when parent is presentField path: [].tenant.settingsNested fields omitted: field limit.communicationTemplatesarray of CommunicationTemplateRequired when parent is presentField path: [].tenant.communicationTemplatesNested fields omitted: field limit.additionalHostnamesarray of TenantHostnameRequired when parent is presentField path: [].tenant.additionalHostnamesNested fields omitted: field limit.exportHistoryarray of ExportHistoryRequired when parent is presentField path: [].tenant.exportHistoryNested fields omitted: field limit.arReportHistoryarray of ArReportHistoryRequired when parent is presentField path: [].tenant.arReportHistoryNested fields omitted: field limit.mypageCardsSettingsarray of MypageCardsSettingsRequired when parent is presentField path: [].tenant.mypageCardsSettingsNested fields omitted: field limit.webhooksarray of WebhookRequired when parent is presentField path: [].tenant.webhooksNested fields omitted: field limit.customOrdersarray of CustomOrderRequired when parent is presentField path: [].tenant.customOrdersNested fields omitted: field limit.customOrderSourcesarray of CustomOrderSourceRequired when parent is presentField path: [].tenant.customOrderSourcesNested fields omitted: field limit.brandKitsarray of BrandKitRequired when parent is presentField path: [].tenant.brandKitsNested fields omitted: field limit.communicationReceiversarray of CommunicationReceiverRequired when parent is presentField path: [].tenant.communicationReceiversNested fields omitted: field limit.idnumberRequired when parent is presentField path: [].tenant.idcreatedAtstring (date-time)Required when parent is presentField path: [].tenant.createdAtupdatedAtstring (date-time)Required when parent is presentField path: [].tenant.updatedAtdeletedAtstring (date-time)Required when parent is presentField path: [].tenant.deletedAtmetaDataobjectRequired when parent is presentField path: [].tenant.metaDatatenantIdnumberRequired when parent is presentcreatedAtstring (date-time)Required when parent is presentupdatedAtstring (date-time)Required when parent is present{
"name": "string",
"description": "string"
}idnumberRequirednamestringRequireddescriptionstringRequiredtenantTenantRequired65 fieldstenantmarketstringRequiredField path: tenant.market"NO", "SE", "DK"productNamestringField path: tenant.productName"enterprise", "communication", "custom"additionalFeaturesarray of stringField path: tenant.additionalFeatures"email", "sms", "push", "podcasts", "subscription", "insights", "dashboard", "automation", "export", "accounting", "invoices", "ai"disabledFeaturesarray of stringField path: tenant.disabledFeaturestenantIdnumberRequiredcreatedAtstring (date-time)RequiredupdatedAtstring (date-time)RequiredshouldNotBeEmpty
messageCodestringRequiredmessagestringerrorsarray of FieldErrorRequired7 fieldserrorsunauthorized
This response has no body.
curlcurl https://api.subrite.no/api/v1/content-channel-admin \
--request POST \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"name": "string",
"description": "string"
}'maxLength: 1024descriptionstringOptionalmaxLength: 1024{
"name": "string",
"description": "string"
}Same fields as Create a new content channel (201).
{
"id": 0,
"name": "string",
"description": "string",
"tenant": {
"market": "NO",
"productName": "enterprise",
"additionalFeatures": [],
"disabledFeatures": [],
"name": "string",
"isActive": true,
"defaultLanguage": "en",
"hostName": "string",
"logo": "string",
"favicon": "string",
"authLogo": "string",
"authLogoHeight": 0,
"siteUrl": "string",
"termsUrl": "string",
"privacyUrl": "string",
"gtm": "string",
"taxRates": [],
"smsOtp": true,
"emailProvider": "brevo",
"tenantContact": "string",
"registeredBusinessNo": "string",
"bankAccountNo": "string",
"swiftCode": "string",
"iban": "<iban>",
"defaultLogoutURL": "string",
"postalAddress": "<postalAddress>",
"otpTemplateId": {},
"smsSenderId": 0,
"emailSenderId": 0,
"smsSender": {
"metaData": {}
},
"emailSender": {
"metaData": {}
},
"products": [],
"users": [],
"members": [],
"roles": [],
"subscriptionPlans": [],
"packages": [],
"invoices": [],
"orders": [],
"paymentProviders": [],
"newslettersProviderConfig": [],
"paymentProviderConfigs": [],
"oidcClients": [],
"oauthProviders": [],
"activityLogs": [],
"m2m_api_clients": [],
"customProperties": [],
"consents": [],
"preference": {
"inputFieldConfig": [],
"customFieldsOnMemberCard": [],
"customFieldsOnInvoice": [],
"visibleAdditionalFieldsOnMypage": [],
"metaData": {}
},
"settings": {
"aiResidency": {},
"metaData": {}
},
"communicationTemplates": [],
"additionalHostnames": [],
"exportHistory": [],
"arReportHistory": [],
"mypageCardsSettings": [],
"webhooks": [],
"customOrders": [],
"customOrderSources": [],
"brandKits": [],
"communicationReceivers": [],
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
},
"tenantId": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}unauthorized
This response has no body.
contentChannelNotFound
Same fields as Create a new content channel (400).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/content-channel-admin/{id}' \
--request PUT \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"name": "string",
"description": "string"
}'unauthorized
This response has no body.
contentChannelNotFound
Same fields as Create a new content channel (400).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/content-channel-admin/{id}' \
--request DELETE \
--header 'Authorization: Bearer <token>'productIdnumberRequired when parent is presentproductNamestringRequired when parent is present[
{
"productId": 0,
"productName": "string"
}
]curlcurl 'https://api.subrite.no/api/v1/content-channel-admin/{id}/products'This response has no body.
unauthorized
This response has no body.
contentChannelNotFound
Same fields as Create a new content channel (400).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/content-channel-admin/{contentChannelId}/products/{productId}' \
--request POST \
--header 'Authorization: Bearer <token>'This response has no body.
unauthorized
This response has no body.
contentChannelNotFound
Same fields as Create a new content channel (400).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/content-channel-admin/{contentChannelId}/products/{productId}' \
--request DELETE \
--header 'Authorization: Bearer <token>'"email", "sms", "push", "podcasts", "subscription", "insights", "dashboard", "automation", "export", "accounting", "invoices", "ai"namestringRequiredField path: tenant.nameisActivebooleanRequiredField path: tenant.isActivedefaultLanguagestringRequiredField path: tenant.defaultLanguage"en", "no", "sv", "da"hostNamestringRequiredField path: tenant.hostNamelogostringRequiredField path: tenant.logofaviconstringRequiredField path: tenant.faviconauthLogostringRequiredField path: tenant.authLogoauthLogoHeightnumberRequiredField path: tenant.authLogoHeightsiteUrlstringRequiredField path: tenant.siteUrltermsUrlstringRequiredField path: tenant.termsUrlprivacyUrlstringRequiredField path: tenant.privacyUrlgtmstringRequiredField path: tenant.gtmtaxRatesarray of numberField path: tenant.taxRatessmsOtpbooleanRequiredField path: tenant.smsOtpemailProviderstringRequiredField path: tenant.emailProvider"brevo", "sendgrid"tenantContactstringRequiredField path: tenant.tenantContactregisteredBusinessNostringRequiredField path: tenant.registeredBusinessNobankAccountNostringRequiredField path: tenant.bankAccountNoswiftCodestringRequiredField path: tenant.swiftCodeibanstringRequiredField path: tenant.ibandefaultLogoutURLstringRequiredField path: tenant.defaultLogoutURLpostalAddressstringRequiredField path: tenant.postalAddressotpTemplateIdTranslationField path: tenant.otpTemplateId5 fieldstenant.otpTemplateIdenstringRequired when parent is presentField path: tenant.otpTemplateId.ennostringRequired when parent is presentField path: tenant.otpTemplateId.nosvstringField path: tenant.otpTemplateId.svdastringField path: tenant.otpTemplateId.dakeystringField path: tenant.otpTemplateId.keysmsSenderIdnumberRequiredField path: tenant.smsSenderIdemailSenderIdnumberRequiredField path: tenant.emailSenderIdsmsSenderCommunicationSenderRequiredField path: tenant.smsSenderNested fields omitted: field limit.emailSenderCommunicationSenderRequiredField path: tenant.emailSenderNested fields omitted: field limit.productsarray of ProductRequiredField path: tenant.productsNested fields omitted: field limit.usersarray of UserRequiredField path: tenant.usersNested fields omitted: field limit.membersarray of MemberRequiredField path: tenant.membersNested fields omitted: field limit.rolesarray of RoleRequiredField path: tenant.rolesNested fields omitted: field limit.subscriptionPlansarray of SubscriptionPlanRequiredField path: tenant.subscriptionPlansNested fields omitted: field limit.packagesarray of PackageRequiredField path: tenant.packagesNested fields omitted: field limit.invoicesarray of InvoiceRequiredField path: tenant.invoicesNested fields omitted: field limit.ordersarray of OrderRequiredField path: tenant.ordersNested fields omitted: field limit.paymentProvidersarray of PaymentProviderConfigRequiredField path: tenant.paymentProvidersNested fields omitted: field limit.newslettersProviderConfigarray of NewsletterProviderConfigRequiredField path: tenant.newslettersProviderConfigNested fields omitted: field limit.paymentProviderConfigsarray of PaymentProviderConfigRequiredField path: tenant.paymentProviderConfigsNested fields omitted: field limit.oidcClientsarray of OidcClientRequiredField path: tenant.oidcClientsNested fields omitted: field limit.oauthProvidersarray of OauthProviderRequiredField path: tenant.oauthProvidersNested fields omitted: field limit.activityLogsarray of ActivityLogRequiredField path: tenant.activityLogsNested fields omitted: field limit.m2m_api_clientsarray of M2MApiClientRequiredField path: tenant.m2m_api_clientsNested fields omitted: field limit.customPropertiesarray of CustomPropertyRequiredField path: tenant.customPropertiesNested fields omitted: field limit.consentsarray of ConsentRequiredField path: tenant.consentsNested fields omitted: field limit.preferencePreferenceRequiredField path: tenant.preferenceNested fields omitted: field limit.settingsTenantSettingsRequiredField path: tenant.settingsNested fields omitted: field limit.communicationTemplatesarray of CommunicationTemplateRequiredField path: tenant.communicationTemplatesNested fields omitted: field limit.additionalHostnamesarray of TenantHostnameRequiredField path: tenant.additionalHostnamesNested fields omitted: field limit.exportHistoryarray of ExportHistoryRequiredField path: tenant.exportHistoryNested fields omitted: field limit.arReportHistoryarray of ArReportHistoryRequiredField path: tenant.arReportHistoryNested fields omitted: field limit.mypageCardsSettingsarray of MypageCardsSettingsRequiredField path: tenant.mypageCardsSettingsNested fields omitted: field limit.webhooksarray of WebhookRequiredField path: tenant.webhooksNested fields omitted: field limit.customOrdersarray of CustomOrderRequiredField path: tenant.customOrdersNested fields omitted: field limit.customOrderSourcesarray of CustomOrderSourceRequiredField path: tenant.customOrderSourcesNested fields omitted: field limit.brandKitsarray of BrandKitRequiredField path: tenant.brandKitsNested fields omitted: field limit.communicationReceiversarray of CommunicationReceiverRequiredField path: tenant.communicationReceiversNested fields omitted: field limit.idnumberRequiredField path: tenant.idcreatedAtstring (date-time)RequiredField path: tenant.createdAtupdatedAtstring (date-time)RequiredField path: tenant.updatedAtdeletedAtstring (date-time)RequiredField path: tenant.deletedAtmetaDataobjectRequiredField path: tenant.metaData{
"id": 0,
"name": "string",
"description": "string",
"tenant": {
"market": "NO",
"productName": "enterprise",
"additionalFeatures": [],
"disabledFeatures": [],
"name": "string",
"isActive": true,
"defaultLanguage": "en",
"hostName": "string",
"logo": "string",
"favicon": "string",
"authLogo": "string",
"authLogoHeight": 0,
"siteUrl": "string",
"termsUrl": "string",
"privacyUrl": "string",
"gtm": "string",
"taxRates": [],
"smsOtp": true,
"emailProvider": "brevo",
"tenantContact": "string",
"registeredBusinessNo": "string",
"bankAccountNo": "string",
"swiftCode": "string",
"iban": "<iban>",
"defaultLogoutURL": "string",
"postalAddress": "<postalAddress>",
"otpTemplateId": {},
"smsSenderId": 0,
"emailSenderId": 0,
"smsSender": {
"metaData": {}
},
"emailSender": {
"metaData": {}
},
"products": [],
"users": [],
"members": [],
"roles": [],
"subscriptionPlans": [],
"packages": [],
"invoices": [],
"orders": [],
"paymentProviders": [],
"newslettersProviderConfig": [],
"paymentProviderConfigs": [],
"oidcClients": [],
"oauthProviders": [],
"activityLogs": [],
"m2m_api_clients": [],
"customProperties": [],
"consents": [],
"preference": {
"inputFieldConfig": [],
"customFieldsOnMemberCard": [],
"customFieldsOnInvoice": [],
"visibleAdditionalFieldsOnMypage": [],
"metaData": {}
},
"settings": {
"aiResidency": {},
"metaData": {}
},
"communicationTemplates": [],
"additionalHostnames": [],
"exportHistory": [],
"arReportHistory": [],
"mypageCardsSettings": [],
"webhooks": [],
"customOrders": [],
"customOrderSources": [],
"brandKits": [],
"communicationReceivers": [],
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
},
"tenantId": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}fieldstringRequired when parent is presentfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}